io.vertx.core.net

## Class OpenSSLEngineOptions

- java.lang.Object
- - io.vertx.core.net.SSLEngineOptions
  - - io.vertx.core.net.OpenSSLEngineOptions

-     public class OpenSSLEngineOptions
      extends SSLEngineOptions

  Configures a `TCPSSLOptions` to use OpenSsl.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_SESSION_CACHE_ENABLED` Default value of whether session cache is enabled in open SSL session server context = true

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenSSLEngineOptions()`
    `OpenSSLEngineOptions(JsonObject json)`
    `OpenSSLEngineOptions(OpenSSLEngineOptions other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenSSLEngineOptions` | `clone()`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `static boolean` | `isAlpnAvailable()`
    `static boolean` | `isAvailable()`
    `boolean` | `isSessionCacheEnabled()` Whether session cache is enabled in open SSL session server context
    `OpenSSLEngineOptions` | `setSessionCacheEnabled(boolean sessionCacheEnabled)` Set whether session cache is enabled in open SSL session server context
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SESSION_CACHE_ENABLED

          public static final boolean DEFAULT_SESSION_CACHE_ENABLED

      Default value of whether session cache is enabled in open SSL session server context = true
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenSSLEngineOptions

          public OpenSSLEngineOptions()

    - #### OpenSSLEngineOptions

          public OpenSSLEngineOptions(JsonObject json)

    - #### OpenSSLEngineOptions

          public OpenSSLEngineOptions(OpenSSLEngineOptions other)

  - ### Method Detail

    - #### isAvailable

          public static boolean isAvailable()

      Returns:
        when OpenSSL is available

    - #### isAlpnAvailable

          public static boolean isAlpnAvailable()

      Returns:
        when alpn support is available via OpenSSL engine

    - #### setSessionCacheEnabled

          public OpenSSLEngineOptions setSessionCacheEnabled(boolean sessionCacheEnabled)

      Set whether session cache is enabled in open SSL session server context
      Parameters:
        `sessionCacheEnabled` - true if session cache is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### isSessionCacheEnabled

          public boolean isSessionCacheEnabled()

      Whether session cache is enabled in open SSL session server context
      Returns:
        true if session cache is enabled

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toJson

          public JsonObject toJson()

    - #### clone

          public OpenSSLEngineOptions clone()

      Specified by:
        `clone` in class `SSLEngineOptions`

Copyright © 2016. All rights reserved.